<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <meta content="IE=edge,chrome=1" http-equiv="X-UA-Compatible">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <title>API Reference</title>

    <link rel="stylesheet" href="css/style.css" />
    <script src="js/all.js"></script>


          <script>
        $(function() {
            setupLanguages(["bash","javascript"]);
        });
      </script>
      </head>

  <body class="">
    <a href="#" id="nav-button">
      <span>
        NAV
        <img src="images/navbar.png" />
      </span>
    </a>
    <div class="tocify-wrapper">
        <img src="images/logo.png" />
                    <div class="lang-selector">
                                  <a href="#" data-language-name="bash">bash</a>
                                  <a href="#" data-language-name="javascript">javascript</a>
                            </div>
                            <div class="search">
              <input type="text" class="search" id="input-search" placeholder="Search">
            </div>
            <ul class="search-results"></ul>
              <div id="toc">
      </div>
                    <ul class="toc-footer">
                                  <li><a href='http://github.com/mpociot/documentarian'>Documentation Powered by Documentarian</a></li>
                            </ul>
            </div>
    <div class="page-wrapper">
      <div class="dark-box"></div>
      <div class="content">
          <!-- START_INFO -->
<h1>Info</h1>
<p>Welcome to the generated API reference.
<a href="http://localhost/docs/collection.json">Get Postman Collection</a></p>
<!-- END_INFO -->
<h1>Base</h1>
<p>Class BaseController</p>
<!-- START_b833ef11870fa33d1409ac0625cbfae5 -->
<h2>Search (in progress)</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "/search" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "/search"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<blockquote>
<p>Example response (404):</p>
</blockquote>
<pre><code class="language-json">null</code></pre>
<h3>HTTP Request</h3>
<p><code>GET /search</code></p>
<!-- END_b833ef11870fa33d1409ac0625cbfae5 -->
<!-- START_172adab38f87856e11a95da8f6cf2bbb -->
<h2>Autocomplete (in progress)</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "/autocomplete" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "/autocomplete"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<blockquote>
<p>Example response (404):</p>
</blockquote>
<pre><code class="language-json">null</code></pre>
<h3>HTTP Request</h3>
<p><code>GET /autocomplete</code></p>
<!-- END_172adab38f87856e11a95da8f6cf2bbb -->
<h1>Brands</h1>
<p>Class BrandsController</p>
<!-- START_17494f2011cfb5de53118cc58b3f074b -->
<h2>Search (in progress)</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "/brands/search" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "/brands/search"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<blockquote>
<p>Example response (404):</p>
</blockquote>
<pre><code class="language-json">null</code></pre>
<h3>HTTP Request</h3>
<p><code>GET /brands/search</code></p>
<!-- END_17494f2011cfb5de53118cc58b3f074b -->
<!-- START_b7e899772f2fb93d98ef91a61bc07253 -->
<h2>Autocomplete (in progress)</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "/brands/autocomplete" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "/brands/autocomplete"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<blockquote>
<p>Example response (404):</p>
</blockquote>
<pre><code class="language-json">null</code></pre>
<h3>HTTP Request</h3>
<p><code>GET /brands/autocomplete</code></p>
<!-- END_b7e899772f2fb93d98ef91a61bc07253 -->
<h1>Generics</h1>
<p>Class GenericsController</p>
<!-- START_7fc98c864a75eb1a7b6760a30502da4b -->
<h2>Search (in progress)</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "/generics/search" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "/generics/search"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<blockquote>
<p>Example response (404):</p>
</blockquote>
<pre><code class="language-json">null</code></pre>
<h3>HTTP Request</h3>
<p><code>GET /generics/search</code></p>
<!-- END_7fc98c864a75eb1a7b6760a30502da4b -->
<!-- START_22adb71cacbf9c8d3a23d9b59ff38448 -->
<h2>Autocomplete (in progress)</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "/generics/autocomplete" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json"</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "/generics/autocomplete"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<blockquote>
<p>Example response (404):</p>
</blockquote>
<pre><code class="language-json">null</code></pre>
<h3>HTTP Request</h3>
<p><code>GET /generics/autocomplete</code></p>
<!-- END_22adb71cacbf9c8d3a23d9b59ff38448 -->
<h1>Products</h1>
<p>Class ProductsController</p>
<!-- START_c76b8f15aade94572f8485ffea8d0e44 -->
<h2>Search</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "/products/search" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"token":"test-atd\/F5jg9hjsaq1Ywp2bYW7jccsow1QTspA1YTsFP6b2zxpkySGN2eJQwn4","language":"de","query":"bremsscheibe"}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "/products/search"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "token": "test-atd\/F5jg9hjsaq1Ywp2bYW7jccsow1QTspA1YTsFP6b2zxpkySGN2eJQwn4",
    "language": "de",
    "query": "bremsscheibe"
}

fetch(url, {
    method: "GET",
    headers: headers,
    body: body
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "success": true,
    "code": 200,
    "data": {
        "items": [
            {
                "_id": "9099107"
            },
            {
                "_id": "9099165"
            },
            {
                "_id": "9099212"
            },
            {
                "_id": "9099332"
            },
            {
                "_id": "9099905"
            },
            {
                "_id": "9100280"
            },
            {
                "_id": "7306557"
            },
            {
                "_id": "7828491"
            },
            {
                "_id": "7998920"
            },
            {
                "_id": "9099052"
            },
            {
                "_id": "9099055"
            },
            {
                "_id": "9099105"
            },
            {
                "_id": "9099232"
            },
            {
                "_id": "9099244"
            },
            {
                "_id": "9099352"
            }
        ],
        "paginator": {
            "total": 10000,
            "relation": "gte",
            "perPage": 15,
            "currentPage": 1,
            "hasNextPage": true,
            "hasPreviousPage": false,
            "lastPage": 667
        },
        "filters": {
            "all": {
                "max_price": 4300.07,
                "min_price": 0.16,
                "brand": {
                    "100579": 421,
                    "100544": 41,
                    "100446": 30,
                    "100444": 11,
                    "100443": 33,
                    "100381": 14,
                    "100379": 2,
                    "100377": 10,
                    "100376": 11,
                    "100375": 82
                },
                "generic": {
                    "82": 92197
                }
            },
            "active": {
                "max_price": 4300.07,
                "min_price": 0.16,
                "brand": [
                    100579,
                    100544,
                    100446,
                    100444,
                    100443,
                    100381,
                    100379,
                    100377,
                    100376,
                    100375
                ],
                "generic": [
                    82
                ]
            },
            "checked": {
                "generic": [],
                "brand": []
            }
        }
    }
}</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "success": true,
    "code": 200,
    "data": {
        "items": [
            {
                "_id": "7936542",
                "_source": {
                    "alternatives": {
                        "oen": [
                            "SKBD-0023028",
                            "BS7104",
                            "C3Y025ABE",
                            "209325",
                            "C3009V",
                            "319325",
                            "8120 101117",
                            "1815319325",
                            "BS-8734",
                            "92230003",
                            "17265"
                        ],
                        "manual": [
                            "SKBD-0023028"
                        ]
                    }
                }
            },
            {
                "_id": "23511",
                "_source": {
                    "alternatives": {
                        "altArticleNo": [
                            "BS7104"
                        ],
                        "oen": [
                            "BS7104",
                            "C3Y025ABE",
                            "209325",
                            "C3009V",
                            "319325",
                            "8120 101117",
                            "1815319325",
                            "BS-8734",
                            "92230003",
                            "17265",
                            "SKBD-0023028"
                        ],
                        "manual": [
                            "BS7104"
                        ]
                    }
                }
            },
            {
                "_id": "177569",
                "_source": {
                    "alternatives": {
                        "altArticleNo": [
                            "C3Y025ABE"
                        ],
                        "oen": [
                            "C3Y025ABE",
                            "BS7104",
                            "209325",
                            "C3009V",
                            "319325",
                            "8120 101117",
                            "1815319325",
                            "BS-8734",
                            "92230003",
                            "17265",
                            "SKBD-0023028"
                        ],
                        "manual": [
                            "C3Y025ABE"
                        ]
                    }
                }
            },
            {
                "_id": "7499510",
                "_source": {
                    "alternatives": {
                        "altArticleNo": [
                            "1815319325"
                        ],
                        "oen": [
                            "1815319325",
                            "BS7104",
                            "C3Y025ABE",
                            "209325",
                            "C3009V",
                            "319325",
                            "8120 101117",
                            "BS-8734",
                            "92230003",
                            "17265",
                            "SKBD-0023028"
                        ],
                        "manual": [
                            "1815319325"
                        ]
                    }
                }
            },
            {
                "_id": "7567080",
                "_source": {
                    "alternatives": {
                        "altArticleNo": [
                            "BS-8734"
                        ],
                        "oen": [
                            "BS-8734",
                            "BS7104",
                            "C3Y025ABE",
                            "209325",
                            "C3009V",
                            "319325",
                            "8120 101117",
                            "1815319325",
                            "92230003",
                            "17265",
                            "SKBD-0023028"
                        ],
                        "manual": [
                            "BS-8734"
                        ]
                    }
                }
            },
            {
                "_id": "7690221",
                "_source": {
                    "alternatives": {
                        "altArticleNo": [
                            "92230003"
                        ],
                        "oen": [
                            "92230003",
                            "BS7104",
                            "C3Y025ABE",
                            "209325",
                            "C3009V",
                            "319325",
                            "8120 101117",
                            "1815319325",
                            "BS-8734",
                            "17265",
                            "SKBD-0023028"
                        ],
                        "altArticleNo2": [
                            "92230003"
                        ],
                        "manual": [
                            "92230003"
                        ]
                    }
                }
            },
            {
                "_id": "7710382",
                "_source": {
                    "alternatives": {
                        "altArticleNo": [
                            "17265"
                        ],
                        "oen": [
                            "17265",
                            "BS7104",
                            "C3Y025ABE",
                            "209325",
                            "C3009V",
                            "319325",
                            "8120 101117",
                            "1815319325",
                            "BS-8734",
                            "92230003",
                            "SKBD-0023028"
                        ],
                        "manual": [
                            "17265"
                        ]
                    }
                }
            },
            {
                "_id": "7216564",
                "_source": {
                    "alternatives": {
                        "altArticleNo": [
                            "8120 101117"
                        ],
                        "oen": [
                            "BS7104",
                            "C3Y025ABE",
                            "209325",
                            "C3009V",
                            "319325",
                            "1815319325",
                            "BS-8734",
                            "92230003",
                            "17265",
                            "SKBD-0023028",
                            "8120 101117C",
                            "82B0878",
                            "61360.10"
                        ],
                        "manual": [
                            "8120 101117"
                        ]
                    }
                }
            },
            {
                "_id": "1995203",
                "_source": {
                    "alternatives": {
                        "altArticleNo": [
                            "209325"
                        ],
                        "oen": [
                            "209325",
                            "BS7104",
                            "C3Y025ABE",
                            "C3009V",
                            "319325",
                            "8120 101117",
                            "1815319325",
                            "BS-8734",
                            "92230003",
                            "17265",
                            "SKBD-0023028",
                            "8120 101117C",
                            "82B0878",
                            "61360.10"
                        ],
                        "manual": [
                            "209325"
                        ]
                    }
                }
            },
            {
                "_id": "7059928",
                "_source": {
                    "alternatives": {
                        "altArticleNo": [
                            "C3009V"
                        ],
                        "oen": [
                            "C3009V",
                            "BS7104",
                            "C3Y025ABE",
                            "209325",
                            "319325",
                            "8120 101117",
                            "1815319325",
                            "BS-8734",
                            "92230003",
                            "17265",
                            "SKBD-0023028",
                            "8120 101117C",
                            "82B0878",
                            "61360.10"
                        ],
                        "altArticleNo2": [
                            "C3009V"
                        ],
                        "manual": [
                            "C3009V"
                        ]
                    }
                }
            }
        ],
        "paginator": {
            "total": 13,
            "relation": "eq",
            "perPage": 10,
            "currentPage": 1,
            "hasNextPage": true,
            "hasPreviousPage": false,
            "lastPage": 2
        }
    }
}</code></pre>
<h3>HTTP Request</h3>
<p><code>GET /products/search</code></p>
<h4>Body Parameters</h4>
<table>
<thead>
<tr>
<th>Parameter</th>
<th>Type</th>
<th>Status</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td><code>token</code></td>
<td>string</td>
<td>required</td>
<td>Access token.</td>
</tr>
<tr>
<td><code>language</code></td>
<td>string</td>
<td>required</td>
<td>Language code, size:2.</td>
</tr>
<tr>
<td><code>query</code></td>
<td>string</td>
<td>required</td>
<td>What to search.</td>
</tr>
</tbody>
</table>
<!-- END_c76b8f15aade94572f8485ffea8d0e44 -->
<!-- START_a427d583e3851b19bb3bc1044d0b6380 -->
<h2>Autocomplete</h2>
<blockquote>
<p>Example request:</p>
</blockquote>
<pre><code class="language-bash">curl -X GET \
    -G "/products/autocomplete" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"token":"test-atd\/F5jg9hjsaq1Ywp2bYW7jccsow1QTspA1YTsFP6b2zxpkySGN2eJQwn4","language":"de","query":"bremsscheibe"}'
</code></pre>
<pre><code class="language-javascript">const url = new URL(
    "/products/autocomplete"
);

let headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "token": "test-atd\/F5jg9hjsaq1Ywp2bYW7jccsow1QTspA1YTsFP6b2zxpkySGN2eJQwn4",
    "language": "de",
    "query": "bremsscheibe"
}

fetch(url, {
    method: "GET",
    headers: headers,
    body: body
})
    .then(response =&gt; response.json())
    .then(json =&gt; console.log(json));</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "success": true,
    "code": 200,
    "data": {
        "items": [
            {
                "_id": "9099107"
            },
            {
                "_id": "9099165"
            },
            {
                "_id": "9099212"
            },
            {
                "_id": "9099332"
            },
            {
                "_id": "9099905"
            },
            {
                "_id": "9100280"
            },
            {
                "_id": "7306557"
            },
            {
                "_id": "7828491"
            },
            {
                "_id": "7998920"
            },
            {
                "_id": "9099052"
            },
            {
                "_id": "9099055"
            },
            {
                "_id": "9099105"
            },
            {
                "_id": "9099232"
            },
            {
                "_id": "9099244"
            },
            {
                "_id": "9099352"
            }
        ],
        "paginator": {
            "total": 10000,
            "relation": "gte",
            "perPage": 15,
            "currentPage": 1,
            "hasNextPage": true,
            "hasPreviousPage": false,
            "lastPage": 667
        },
        "filters": {
            "all": {
                "max_price": 4300.07,
                "min_price": 0.16,
                "brand": {
                    "100579": 421,
                    "100544": 41,
                    "100446": 30,
                    "100444": 11,
                    "100443": 33,
                    "100381": 14,
                    "100379": 2,
                    "100377": 10,
                    "100376": 11,
                    "100375": 82
                },
                "generic": {
                    "82": 92197
                }
            },
            "active": {
                "max_price": 4300.07,
                "min_price": 0.16,
                "brand": [
                    100579,
                    100544,
                    100446,
                    100444,
                    100443,
                    100381,
                    100379,
                    100377,
                    100376,
                    100375
                ],
                "generic": [
                    82
                ]
            },
            "checked": {
                "generic": [],
                "brand": []
            }
        }
    }
}</code></pre>
<blockquote>
<p>Example response (200):</p>
</blockquote>
<pre><code class="language-json">{
    "success": true,
    "code": 200,
    "data": {
        "items": [
            {
                "_id": "7936542",
                "_source": {
                    "alternatives": {
                        "oen": [
                            "SKBD-0023028",
                            "BS7104",
                            "C3Y025ABE",
                            "209325",
                            "C3009V",
                            "319325",
                            "8120 101117",
                            "1815319325",
                            "BS-8734",
                            "92230003",
                            "17265"
                        ],
                        "manual": [
                            "SKBD-0023028"
                        ]
                    }
                }
            },
            {
                "_id": "23511",
                "_source": {
                    "alternatives": {
                        "altArticleNo": [
                            "BS7104"
                        ],
                        "oen": [
                            "BS7104",
                            "C3Y025ABE",
                            "209325",
                            "C3009V",
                            "319325",
                            "8120 101117",
                            "1815319325",
                            "BS-8734",
                            "92230003",
                            "17265",
                            "SKBD-0023028"
                        ],
                        "manual": [
                            "BS7104"
                        ]
                    }
                }
            },
            {
                "_id": "177569",
                "_source": {
                    "alternatives": {
                        "altArticleNo": [
                            "C3Y025ABE"
                        ],
                        "oen": [
                            "C3Y025ABE",
                            "BS7104",
                            "209325",
                            "C3009V",
                            "319325",
                            "8120 101117",
                            "1815319325",
                            "BS-8734",
                            "92230003",
                            "17265",
                            "SKBD-0023028"
                        ],
                        "manual": [
                            "C3Y025ABE"
                        ]
                    }
                }
            },
            {
                "_id": "7499510",
                "_source": {
                    "alternatives": {
                        "altArticleNo": [
                            "1815319325"
                        ],
                        "oen": [
                            "1815319325",
                            "BS7104",
                            "C3Y025ABE",
                            "209325",
                            "C3009V",
                            "319325",
                            "8120 101117",
                            "BS-8734",
                            "92230003",
                            "17265",
                            "SKBD-0023028"
                        ],
                        "manual": [
                            "1815319325"
                        ]
                    }
                }
            },
            {
                "_id": "7567080",
                "_source": {
                    "alternatives": {
                        "altArticleNo": [
                            "BS-8734"
                        ],
                        "oen": [
                            "BS-8734",
                            "BS7104",
                            "C3Y025ABE",
                            "209325",
                            "C3009V",
                            "319325",
                            "8120 101117",
                            "1815319325",
                            "92230003",
                            "17265",
                            "SKBD-0023028"
                        ],
                        "manual": [
                            "BS-8734"
                        ]
                    }
                }
            },
            {
                "_id": "7690221",
                "_source": {
                    "alternatives": {
                        "altArticleNo": [
                            "92230003"
                        ],
                        "oen": [
                            "92230003",
                            "BS7104",
                            "C3Y025ABE",
                            "209325",
                            "C3009V",
                            "319325",
                            "8120 101117",
                            "1815319325",
                            "BS-8734",
                            "17265",
                            "SKBD-0023028"
                        ],
                        "altArticleNo2": [
                            "92230003"
                        ],
                        "manual": [
                            "92230003"
                        ]
                    }
                }
            },
            {
                "_id": "7710382",
                "_source": {
                    "alternatives": {
                        "altArticleNo": [
                            "17265"
                        ],
                        "oen": [
                            "17265",
                            "BS7104",
                            "C3Y025ABE",
                            "209325",
                            "C3009V",
                            "319325",
                            "8120 101117",
                            "1815319325",
                            "BS-8734",
                            "92230003",
                            "SKBD-0023028"
                        ],
                        "manual": [
                            "17265"
                        ]
                    }
                }
            },
            {
                "_id": "7216564",
                "_source": {
                    "alternatives": {
                        "altArticleNo": [
                            "8120 101117"
                        ],
                        "oen": [
                            "BS7104",
                            "C3Y025ABE",
                            "209325",
                            "C3009V",
                            "319325",
                            "1815319325",
                            "BS-8734",
                            "92230003",
                            "17265",
                            "SKBD-0023028",
                            "8120 101117C",
                            "82B0878",
                            "61360.10"
                        ],
                        "manual": [
                            "8120 101117"
                        ]
                    }
                }
            },
            {
                "_id": "1995203",
                "_source": {
                    "alternatives": {
                        "altArticleNo": [
                            "209325"
                        ],
                        "oen": [
                            "209325",
                            "BS7104",
                            "C3Y025ABE",
                            "C3009V",
                            "319325",
                            "8120 101117",
                            "1815319325",
                            "BS-8734",
                            "92230003",
                            "17265",
                            "SKBD-0023028",
                            "8120 101117C",
                            "82B0878",
                            "61360.10"
                        ],
                        "manual": [
                            "209325"
                        ]
                    }
                }
            },
            {
                "_id": "7059928",
                "_source": {
                    "alternatives": {
                        "altArticleNo": [
                            "C3009V"
                        ],
                        "oen": [
                            "C3009V",
                            "BS7104",
                            "C3Y025ABE",
                            "209325",
                            "319325",
                            "8120 101117",
                            "1815319325",
                            "BS-8734",
                            "92230003",
                            "17265",
                            "SKBD-0023028",
                            "8120 101117C",
                            "82B0878",
                            "61360.10"
                        ],
                        "altArticleNo2": [
                            "C3009V"
                        ],
                        "manual": [
                            "C3009V"
                        ]
                    }
                }
            }
        ],
        "paginator": {
            "total": 13,
            "relation": "eq",
            "perPage": 10,
            "currentPage": 1,
            "hasNextPage": true,
            "hasPreviousPage": false,
            "lastPage": 2
        }
    }
}</code></pre>
<h3>HTTP Request</h3>
<p><code>GET /products/autocomplete</code></p>
<h4>Body Parameters</h4>
<table>
<thead>
<tr>
<th>Parameter</th>
<th>Type</th>
<th>Status</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td><code>token</code></td>
<td>string</td>
<td>required</td>
<td>Access token.</td>
</tr>
<tr>
<td><code>language</code></td>
<td>string</td>
<td>required</td>
<td>Language code, size:2.</td>
</tr>
<tr>
<td><code>query</code></td>
<td>string</td>
<td>required</td>
<td>What to search.</td>
</tr>
</tbody>
</table>
<!-- END_a427d583e3851b19bb3bc1044d0b6380 -->
      </div>
      <div class="dark-box">
                        <div class="lang-selector">
                                    <a href="#" data-language-name="bash">bash</a>
                                    <a href="#" data-language-name="javascript">javascript</a>
                              </div>
                </div>
    </div>
  </body>
</html>